#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
inline ll read()
{
	ll res = 0, f = 1; char ch = getchar();
	while (ch < '0' || ch > '9') f = (ch == '-' ? -1 : f), ch = getchar();
	while (ch >= '0' && ch <= '9') res = (res << 1) + (res << 3) + (ch ^ 48), ch = getchar();
	return res * f;
}
inline void write(ll x)
{
	if (x < 0) putchar('-'), x = -x;
	if (x > 9) write(x / 10);
	putchar(x % 10 + '0');
}
inline void writech(ll x, char ch) { write(x), putchar(ch); }
int main()
{
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	int c = read(), T = read();
	while (T--)
	{
		srand(time(0));
		cout << rand() % (ll)(1e9 + 7) << endl;		
	}
 	return 0;
}

